from rpcore.pluginbase.base_plugin import BasePlugin

from .selection_outline_stage import SelectionOutlineStage


class Plugin(BasePlugin):

    name = "Selection Outline"
    author = "EG Team"
    description = "Adds Unity-style selected-object outline as a post-process stage."
    version = "1.0"

    def on_stage_setup(self):
        self.stage = self.create_stage(SelectionOutlineStage)

